### Method

# FwupdPlugin Device set_logical_id

since: 1.1.2

#### Declaration [src]

    void
    fu_device_set_logical_id (
      FuDevice* self,
      const gchar* logical_id
    )

#### Description [src]

Sets the logical ID on the device. This is designed to disambiguate devices with the same physical ID.

Available since: 1.1.2

Sets property | `FwupdPlugin.Device:logical-id`

#### Parameters

`logical_id`

  Type: `const gchar*`

  A string, e.g. `dev2`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.